%Prova a Vuoto ed in Cortocircuito (a rotore Bloccato)
%della Macchina ASINCRONA
%(by Andrea Pratic 2004)

%Dati di Targa della Macchina
Pn=1.5e3;       %Potenza Nominale [W]
In=3.6;         %Corrente Nom. [A]
Vn=380;         %Tensione Nom. [V] (con coll. a stella)
ns=1500;        %Velocit di Sincronismo [g/min]
fn=50;          %Frequenza nom. [Hz]
Classe='E';     %Classe di Isolamento


if or(or(Classe=='A',Classe=='B'),Classe=='E') 
    T=75;
end

if or(Classe=='F',Classe=='H') 
    T=115;
end



%PROVA A VUOTO
%VALORI MISURATI

V0=[420 380 320 260 200 140 80];    %V conc. a vuoto
nIs1=[2.7 4.1 3.1 2.3 1.8 1.3 0.8]; %Divisioni Is1
nIs2=[2.7 4.2 3.2 2.5 1.9 1.3 0.8]; %Divisioni Is2
nIs3=[2.7 4.1 3.0 2.4 1.8 1.2 0.7]; %Divisioni Is3
KA0=[1 0.5 0.5 0.5 0.5 0.5 0.5];    %Cost.Amperometri

nW1=[-45 -30 -35 -21 -23 -10 -5];   %Div. Wattemetro1
nW2=[67 46 57.5 37 45 23 26];       %Div. Wattemetro2
KW0=[10 10 5 5 2.5 2.5 1];          %Cost. Wattmetri

T1=[28.4 29.1 30.2 28.9 28.4 28.0 27.2]; %Temperatura Carcassa

Rm1=9.3;    %Resist.misurata tra 2 morsetti
T0=20.4;    %Temperatura di misura

Rm2=9.8;    %Resist.misurata tra 2 morsetti

Kt=(235+T)/(235+T0);
Rs=Rm1/2*Kt; %Riporta alla Temp.Convenzionale

Is1=KA0.*nIs1;   %Corr.statorica 1
Is2=KA0.*nIs2;   %Corr.statorica 2
Is3=KA0.*nIs3;   %Corr.statorica 3

W10=KW0.*nW1; %Potenza indicata da W1
W20=KW0.*nW2; %Potenza indicata da W2

I0=(Is1+Is2+Is3)./3; %Media delle Corr.
P0=W10+W20;     %Potenza attiva a vuoto
Q0=sqrt(3)*(W20-W10); %Pot. Reattiva a vuoto

fi0=atan(Q0./P0);
fdp0=cos(fi0);  %Fattore di potenza a vuoto



%PROVA A ROTORE BLOCCATO
%VALORI MISURATI

nIc1=[2.4 4.8 3.45];  %Divisioni Is1
nIc2=[2.5 4.9 3.45];  %Divisioni Is2
nIc3=[2.4 4.8 3.45];  %Divisioni Is3
KAc=[0.5 0.5 1];      %Cost.Amperometri

Vcc=[41 83.5 120.3];

nW1c=[13.5 53 115];
nW2c=[48.5 96.5 80];

KW2c=[1 2 5];


Icc1=KAc.*nIc1;
Icc2=KAc.*nIc2;
Icc3=KAc.*nIc3;

W1c=nW1c;
W2c=KW2c.*nW2c;

Icc=(Icc1+Icc2+Icc3)./3; %Media delle Corr.
Pcc=W1c+W2c; %Potenza attiva in cto-cto
Qcc=sqrt(3)*(W2c-W1c); %Potenza reattiva in cto-cto

ficc=atan(Qcc./Pcc);
fdpcc=cos(ficc); %Fattore di potenza in cto-cto













