%Prova a Rotore Bloccato della
%MACCHINA ASINCRONA (by A.Pratic)

%NECESSITA DELL'AVVIO DEL FILE "Asincro.m"

%Si riporta la resistenza Statorica alla 
%temperatura Convenzionale
Rs=(Rm1/2)*Kt;


x=0:0.1:12;
p1c=34.8;
yc=p1c*x;
Iccn=Vn/p1c;
ficcn=sum(ficc)/3;
Pcussp=3*Rs*Iccn^2;

figure;
plot(Icc,Vcc,'bx');
hold on;
plot(x,yc,'r');
line([0 11],[380 380],'Color','m','LineStyle','--');
line([10.9 10.9],[0 383],'Color','m','LineStyle','--');
plot(10.9,380,'ok');
text(1,400,'V_n=380V');
text(9,20,'I_{sp}=10.9A');
title('Caratteristica in cto-cto','FontWeight','bold');
xlabel('Corrente di cto-cto:I_{cc} [A]');
ylabel('Tensione Concatenata:V_{cc} [V]');
legend('Misure','Interpolazione');
hold off;


x=0:0.1:5;
a1=40.69;
ycc=a1.*x.^2;

Pcc1=Pcc-[4.68 14.94 27.12];
figure;
plot(Icc,Pcc1,'bx');
hold on;
plot(x,ycc,'r');
axis([0 5 0 1200]);
title('P_{cc}-P_{feTOT}=P_{cuS}+P_{cuR}','FontWeight','bold');
xlabel('Corrente di cto-cto:I_{cc} [A]');
ylabel('Potenza Assorbita:P_{cc} [W]');
line([In In],[0 527.3],'Color','m','LineStyle','--');
line([0 In],[527.3 527.3],'Color','m','LineStyle','--');
plot(In,527.3,'ok');
text(3.7,100,'I_n=3.6A');
text(0.5,590,'P_{cc}=527.3W');
legend('Misure','Interpolazione');
hold off;