%Tracciamento del Diagramma Circolare
%(by Andrea Pratic 2004)


%Dati di Targa della Macchina
Pn=1500;        %[W]
Vn=380;         %[V]
fn=50;          %[Hz]
In=3.6;         %[A]
np=2;           %Paia di Poli
Wn=1380;        %[g/min] Velocit Nominale
Classe='E';     %Classe di Isolamento




%RISULTATI DELLA PROVA A VUOTO

P0=160;         %[W] POTENZA A VUOTO LORDA
I0=2.07;        %[A] Corrente a Vuoto a V=Vn)
fi0=1.4498;     %arccos(f.d.p. a Vuoto)


%RISULTATI DELLA PROVA IN CORTOCIRCUITO

Iccn=10.92;     %Corrente di cto a tens.nom. (corr.di spunto)
ficcn=0.77219;  %arccos(f.d.p. in cto-cto)


%MISURA DI RESISTENZA
Rm=9.3; %[Ohm] Resistenza tra due Morsetti statorici
tm=20.4; %[C] Temperatura di Misura                    


                    


%CALCOLI
Rst=Rm/2;  %[Ohm] Resistenza Statorica equiv. a Stella
                    
%Calcolo della Temperatura Convenzionale
if or(or(Classe=='A',Classe=='B'),Classe=='E') 
    T=75;
end

if or(Classe=='F',Classe=='H') 
    T=115;
end

Kt=(235+T)/(235+tm);
RsT=Rst*Kt; %Resistenza Convenzionale


Pcussp=3*RsT*Iccn^2;    %Perdite nel CU allo Spunto


KI=P0/(I0*cos(fi0)); %Fattore di scala delle correnti

A=[KI*I0*sin(fi0)  KI*I0*cos(fi0)];
B=[KI*Iccn*sin(ficcn)  KI*Iccn*cos(ficcn)];
M=0.5*(A+B);

m=(A(2)-B(2))/(A(1)-B(1));
q=M(2)+1/m*M(1);

%Coordinate del centro con Correzione
yc=0.5*(B(2)/B(1)*A(1)+A(2));
xc=m*(q-yc);
C=[xc yc];  %Centro della Circonf.

R=sqrt((C(2)-A(2))^2+(C(1)-A(1))^2);


tlim=asin((A(2)-C(2))/R);
t=tlim:0.001:pi-tlim;
xmax=A(1)+2.1*R;
ymax=C(2)+1.1*R;

figure;
modf(KI*I0,pi/2-fi0,'k',0.15);
text(A(1),A(2),'I_0');
modf(KI*Iccn,pi/2-ficcn,'k',0.05);
text(B(1),B(2),'I_{sp}');
plot(C(1)+R*cos(t),C(2)+R*sin(t),'r');

line([0 0],[0 ymax]);
line([0 xmax],[0 0]);
line([A(1) A(1)+2*R],[A(2) A(2)],'Color','m','LineStyle','--');
line([A(1) A(1)+2*R],[C(2) C(2)],'Color',[0,0.5,0.5],'LineStyle','--');
plot(C(1),C(2),'.k');


m1=(A(2)-B(2))/(A(1)-B(1));
q1=A(2)-m1*A(1);

t=A(1):5:xmax;
y1=m1*t+q1;
plot(t,y1,'b');
text(M(1),M(2),'Potenze Rese');

t=A(1):5:xmax;
m2=Pcussp/(B(1)-A(1));
q2=A(2)-m2*A(1);
y2=m2*t+q2;
plot(t,y2,'b');
text(C(1),m2*C(1)+q2,'Coppie');
%Tracciamento della In
%Valori ricavati mediante
%l'intersezione delle circonferenze

K1=(C(1)^2+C(2)^2+(KI*In)^2-R^2)/(2*C(2));
K2=-C(1)/C(2);

a=(1+K2^2);
b=2*K1*K2;
c=K1^2-(KI*In)^2;

delta=b^2-4*a*c;

xin=(-b-sqrt(delta))/(2*a);
yin=sqrt((KI*In)^2-xin^2);

vett([0 0],[xin yin],'k',0.1);
text(xin,yin,'I_n');


line([A(1)/2 A(1)/2+KI],[C(2)+R C(2)+R],'Color','r');
text(A(1)/2+KI,C(2)+R,'1A');
axis([0 xmax -200 ymax]);
title('Diagramma Circolare',... 
   'FontWeight','bold');
xlabel('Potenza Reattiva [VAr]');
ylabel('Potenza Attiva [W]');
