%Prova a Vuoto della
%MACCHINA ASINCRONA (by A.Pratic)

%NECESSITA DELL'AVVIO DEL FILE "Asincro.m"

%Caratteristica a Vuoto
%Interpolazione effettuata con "cftool"
xlin=0:0.1:1.2;
p1=216.2;
ylin=p1.*xlin;
xnlin=1.2:0.1:3;
a=6981;
b=-0.2905;
c=-7090;
d=-0.3485;
ynlin=a*exp(b.*xnlin)+c*exp(d.*xnlin);


I00=roundn(I0(2),-2);

figure;
plot(I0,V0,'bx');
hold on;
plot(xlin,ylin,'r',xnlin,ynlin,'r');
line([0 I00],[Vn Vn],'Color','m','LineStyle','--');
line([I00 I00],[0 Vn],'Color','m','LineStyle','--');
text(0.5,400,['V_n=',num2str(Vn),' V']);
text(I00+I00/40,25,['I_0=',num2str(I00),' A']);
hold off;
axis([0 3.0 0 450]);
title('Caratteristica a Vuoto','FontWeight','bold');
xlabel('Corrente a vuoto [A]');
ylabel('Tensione Concatenata a vuoto [V]');
legend('Misure','Interpolazione');
Rs0=Rm1/2;
PJ0=3*Rs0.*I0.^2;    %Perdite nel cu di Statore
                    %nella prova a vuoto

Pfem=P0-PJ0;        %Perdite nel ferro di Stat.
                    %e meccaniche



x=0:0.5:450;
a=5.98e-3;
b=-0.01744;
c=12.17;
ym=a.*x.^(1.63)+b.*x+c;  %Interpolazione effettuata con "cftool"

figure;
plot(V0,Pfem,'bx');
hold on;
plot(x,ym,'r');
line([0 250],[c c],'Color','m','LineStyle','--');
text(255,c,['P_{mecc}=',num2str(c),' W']);
axis([0 450 0 150]);
hold off;
title('P_{fe}+P_{mecc}','FontWeight','bold');
xlabel('Tensione Concatenata a vuoto [V]');
ylabel('Perdite nel fe e meccaniche [W]');
legend('Misure','Interpolazione');